<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
require APPPATH."modules/trxopn/controllers/trxopn.php";

class Matcons extends Trxopn {
	
	function __construct()
	{
		parent::__construct();
		
		$this->pmodul = 'trxopn';
		$this->modul = 'matcons';
		$this->title = 'BILL OF MATERIAL';
		
		$this->tbl = 'mat_bomhdr_sub';		
		$this->tbl2 = 'mat_bomdet_sub';
		$this->tbl3 = 'mst_barang';
		$this->tbl4 = 'mst_perusahaan';
		
		$this->pk = 'bom_id';
		$this->pk2 = 'child_no';
		$this->pk3 = 'KdBarang';
		$this->pk4 = 'KdPrshn';
		$this->pkh = 'bom_no';	
		
		$this->load->model($this->pmodul.'/'.$this->pmodul.'_mdl','pmdl');
		$this->load->model($this->modul.'_mdl','mdl');
	}
	
}